package com.mall.order.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Getter
@Setter
@Accessors(chain = true)
@TableName("oms_order_operate_history")
@Schema(name = "OrderOperateHistory对象", title = "订单操作历史记录", description = "订单操作历史记录的实体类对象")
public class OrderOperateHistory {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "orderId", title = "订单id")
    private Long orderId;

    @Schema(name = "operateMan", title = "操作人[用户；系统；后台管理员]")
    private String operateMan;

    @Schema(name = "createTime", title = "操作时间")
    private LocalDateTime createTime;

    @Schema(name = "orderStatus", title = "订单状态【0->待付款；1->待发货；2->已发货；3->已完成；4->已关闭；5->无效订单】")
    private Integer orderStatus;

    @Schema(name = "note", title = "备注")
    private String note;

}