package com.mall.order.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Getter
@Setter
@Accessors(chain = true)
@TableName("oms_refund_info")
@Schema(name = "RefundInfo对象", title = "退款信息", description = "退款信息的实体类对象")
public class RefundInfo {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "orderReturnId", title = "退款的订单")
    private Long orderReturnId;

    @Schema(name = "refund", title = "退款金额")
    private BigDecimal refund;

    @Schema(name = "refundSn", title = "退款交易流水号")
    private String refundSn;

    @Schema(name = "refundStatus", title = "退款状态")
    private Boolean refundStatus;

    @Schema(name = "refundChannel", title = "退款渠道[1-支付宝，2-微信，3-银联，4-汇款]")
    private Integer refundChannel;

    @Schema(name = "refundContent", title = "")
    private String refundContent;

}