package com.mall.order.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "OrderSettingVO对象", title = "订单配置信息", description = "订单配置信息的VO对象")
public class OrderSettingVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "flashOrderOvertime", title = "秒杀订单超时关闭时间(分)")
    private Integer flashOrderOvertime;

    @Schema(name = "normalOrderOvertime", title = "正常订单超时时间(分)")
    private Integer normalOrderOvertime;

    @Schema(name = "confirmOvertime", title = "发货后自动确认收货时间（天）")
    private Integer confirmOvertime;

    @Schema(name = "finishOvertime", title = "自动完成交易时间，不能申请退货（天）")
    private Integer finishOvertime;

    @Schema(name = "commentOvertime", title = "订单完成后自动好评时间（天）")
    private Integer commentOvertime;

    @Schema(name = "memberLevel", title = "会员等级【0-不限会员等级，全部通用；其他-对应的其他会员等级】")
    private Integer memberLevel;

}

