package com.mall.order.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "PaymentInfoVO对象", title = "支付信息表", description = "支付信息表的VO对象")
public class PaymentInfoVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "orderSn", title = "订单号（对外业务号）")
    private String orderSn;

    @Schema(name = "orderId", title = "订单id")
    private Long orderId;

    @Schema(name = "alipayTradeNo", title = "支付宝交易流水号")
    private String alipayTradeNo;

    @Schema(name = "totalAmount", title = "支付总金额")
    private BigDecimal totalAmount;

    @Schema(name = "subject", title = "交易内容")
    private String subject;

    @Schema(name = "paymentStatus", title = "支付状态")
    private String paymentStatus;

    @Schema(name = "createTime", title = "创建时间")
    private LocalDateTime createTime;

    @Schema(name = "confirmTime", title = "确认时间")
    private LocalDateTime confirmTime;

    @Schema(name = "callbackContent", title = "回调内容")
    private String callbackContent;

    @Schema(name = "callbackTime", title = "回调时间")
    private LocalDateTime callbackTime;

}

