package com.mall.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.order.domain.dto.PaymentInfoDto;
import com.mall.order.domain.entity.PaymentInfo;
import com.mall.order.domain.vo.PaymentInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 支付信息表 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
@Mapper
public interface PaymentInfoMapper extends BaseMapper<PaymentInfo> {

    /**
     * * 分页查询支付信息表内容
     *
     * @param pageParams 支付信息表分页参数
     * @param dto        支付信息表查询表单
     * @return 支付信息表分页结果
     */
    IPage<PaymentInfoVo> selectListByPage(@Param("page") Page<PaymentInfo> pageParams, @Param("dto") PaymentInfoDto dto);

}
