package com.mall.order.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.order.domain.dto.MqMessageDto;
import com.mall.order.domain.entity.MqMessage;
import com.mall.order.domain.vo.MqMessageVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
public interface MqMessageService extends IService<MqMessage> {

    /**
     * 分页查询
     *
     * @return {@link MqMessageVo}
     */
    PageResult<MqMessageVo> getMqMessagePage(Page<MqMessage> pageParams, MqMessageDto dto);

    /**
     * 添加
     *
     * @param dto {@link MqMessageDto} 添加表单
     */
    void addMqMessage(MqMessageDto dto);

    /**
     * 更新
     *
     * @param dto {@link MqMessageDto} 更新表单
     */
    void updateMqMessage(MqMessageDto dto);

    /**
     * 删除|批量删除类型
     *
     * @param ids 删除id列表
     */
    void deleteMqMessage(List<Long> ids);
}
