package com.mall.order.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.order.domain.dto.OrderOperateHistoryDto;
import com.mall.order.domain.entity.OrderOperateHistory;
import com.mall.order.domain.vo.OrderOperateHistoryVo;

import java.util.List;

/**
 * <p>
 * 订单操作历史记录 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
public interface OrderOperateHistoryService extends IService<OrderOperateHistory> {

    /**
     * 分页查询订单操作历史记录
     *
     * @return {@link OrderOperateHistoryVo}
     */
    PageResult<OrderOperateHistoryVo> getOrderOperateHistoryPage(Page<OrderOperateHistory> pageParams, OrderOperateHistoryDto dto);

    /**
     * 添加订单操作历史记录
     *
     * @param dto {@link OrderOperateHistoryDto} 添加表单
     */
    void addOrderOperateHistory(OrderOperateHistoryDto dto);

    /**
     * 更新订单操作历史记录
     *
     * @param dto {@link OrderOperateHistoryDto} 更新表单
     */
    void updateOrderOperateHistory(OrderOperateHistoryDto dto);

    /**
     * 删除|批量删除订单操作历史记录类型
     *
     * @param ids 删除id列表
     */
    void deleteOrderOperateHistory(List<Long> ids);
}
