package com.mall.order.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.order.domain.dto.PaymentInfoDto;
import com.mall.order.domain.entity.PaymentInfo;
import com.mall.order.domain.vo.PaymentInfoVo;

import java.util.List;

/**
 * <p>
 * 支付信息表 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
public interface PaymentInfoService extends IService<PaymentInfo> {

    /**
     * 分页查询支付信息表
     *
     * @return {@link PaymentInfoVo}
     */
    PageResult<PaymentInfoVo> getPaymentInfoPage(Page<PaymentInfo> pageParams, PaymentInfoDto dto);

    /**
     * 添加支付信息表
     *
     * @param dto {@link PaymentInfoDto} 添加表单
     */
    void addPaymentInfo(PaymentInfoDto dto);

    /**
     * 更新支付信息表
     *
     * @param dto {@link PaymentInfoDto} 更新表单
     */
    void updatePaymentInfo(PaymentInfoDto dto);

    /**
     * 删除|批量删除支付信息表类型
     *
     * @param ids 删除id列表
     */
    void deletePaymentInfo(List<Long> ids);
}
