package com.mall.order.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.order.domain.dto.RefundInfoDto;
import com.mall.order.domain.entity.RefundInfo;
import com.mall.order.domain.vo.RefundInfoVo;

import java.util.List;

/**
 * <p>
 * 退款信息 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
public interface RefundInfoService extends IService<RefundInfo> {

    /**
     * 分页查询退款信息
     *
     * @return {@link RefundInfoVo}
     */
    PageResult<RefundInfoVo> getRefundInfoPage(Page<RefundInfo> pageParams, RefundInfoDto dto);

    /**
     * 添加退款信息
     *
     * @param dto {@link RefundInfoDto} 添加表单
     */
    void addRefundInfo(RefundInfoDto dto);

    /**
     * 更新退款信息
     *
     * @param dto {@link RefundInfoDto} 更新表单
     */
    void updateRefundInfo(RefundInfoDto dto);

    /**
     * 删除|批量删除退款信息类型
     *
     * @param ids 删除id列表
     */
    void deleteRefundInfo(List<Long> ids);
}
