package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.AttrAttrgroupRelationDto;
import com.mall.product.domain.entity.AttrAttrgroupRelation;
import com.mall.product.domain.vo.AttrAttrgroupRelationVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 属性&属性分组关联 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface AttrAttrgroupRelationMapper extends BaseMapper<AttrAttrgroupRelation> {

    /**
     * * 分页查询属性&属性分组关联内容
     *
     * @param pageParams 属性&属性分组关联分页参数
     * @param dto        属性&属性分组关联查询表单
     * @return 属性&属性分组关联分页结果
     */
    IPage<AttrAttrgroupRelationVo> selectListByPage(@Param("page") Page<AttrAttrgroupRelation> pageParams, @Param("dto") AttrAttrgroupRelationDto dto);

}
