package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.CategoryDto;
import com.mall.product.domain.entity.Category;
import com.mall.product.domain.vo.CategoryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 商品三级分类 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface CategoryMapper extends BaseMapper<Category> {

    /**
     * * 分页查询商品三级分类内容
     *
     * @param pageParams 商品三级分类分页参数
     * @param dto        商品三级分类查询表单
     * @return 商品三级分类分页结果
     */
    IPage<CategoryVo> selectListByPage(@Param("page") Page<Category> pageParams, @Param("dto") CategoryDto dto);

}
