package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.SkuInfoDto;
import com.mall.product.domain.entity.SkuInfo;
import com.mall.product.domain.vo.SkuInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * sku信息 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface SkuInfoMapper extends BaseMapper<SkuInfo> {

    /**
     * * 分页查询sku信息内容
     *
     * @param pageParams sku信息分页参数
     * @param dto        sku信息查询表单
     * @return sku信息分页结果
     */
    IPage<SkuInfoVo> selectListByPage(@Param("page") Page<SkuInfo> pageParams, @Param("dto") SkuInfoDto dto);

}
