package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.SkuSaleAttrValueDto;
import com.mall.product.domain.entity.SkuSaleAttrValue;
import com.mall.product.domain.vo.SkuSaleAttrValueVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * sku销售属性&值 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface SkuSaleAttrValueMapper extends BaseMapper<SkuSaleAttrValue> {

    /**
     * * 分页查询sku销售属性&值内容
     *
     * @param pageParams sku销售属性&值分页参数
     * @param dto        sku销售属性&值查询表单
     * @return sku销售属性&值分页结果
     */
    IPage<SkuSaleAttrValueVo> selectListByPage(@Param("page") Page<SkuSaleAttrValue> pageParams, @Param("dto") SkuSaleAttrValueDto dto);

}
