package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.SpuInfoDescDto;
import com.mall.product.domain.entity.SpuInfoDesc;
import com.mall.product.domain.vo.SpuInfoDescVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * spu信息介绍 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface SpuInfoDescMapper extends BaseMapper<SpuInfoDesc> {

    /**
     * * 分页查询spu信息介绍内容
     *
     * @param pageParams spu信息介绍分页参数
     * @param dto        spu信息介绍查询表单
     * @return spu信息介绍分页结果
     */
    IPage<SpuInfoDescVo> selectListByPage(@Param("page") Page<SpuInfoDesc> pageParams, @Param("dto") SpuInfoDescDto dto);

}
