package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.BrandDto;
import com.mall.product.domain.entity.Brand;
import com.mall.product.domain.vo.BrandVo;

import java.util.List;

/**
 * <p>
 * 品牌 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface BrandService extends IService<Brand> {

    /**
     * 分页查询品牌
     *
     * @return {@link BrandVo}
     */
    PageResult<BrandVo> getBrandPage(Page<Brand> pageParams, BrandDto dto);

    /**
     * 添加品牌
     *
     * @param dto {@link BrandDto} 添加表单
     */
    void addBrand(BrandDto dto);
 
    /**
     * 更新品牌
     *
     * @param dto {@link BrandDto} 更新表单
     */
    void updateBrand(BrandDto dto);

    /**
     * 删除|批量删除品牌类型
     *
     * @param ids 删除id列表
     */
    void deleteBrand(List<Long> ids);
}
