package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.CommentReplayDto;
import com.mall.product.domain.entity.CommentReplay;
import com.mall.product.domain.vo.CommentReplayVo;

import java.util.List;

/**
 * <p>
 * 商品评价回复关系 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface CommentReplayService extends IService<CommentReplay> {

    /**
     * 分页查询商品评价回复关系
     *
     * @return {@link CommentReplayVo}
     */
    PageResult<CommentReplayVo> getCommentReplayPage(Page<CommentReplay> pageParams, CommentReplayDto dto);

    /**
     * 添加商品评价回复关系
     *
     * @param dto {@link CommentReplayDto} 添加表单
     */
    void addCommentReplay(CommentReplayDto dto);

    /**
     * 更新商品评价回复关系
     *
     * @param dto {@link CommentReplayDto} 更新表单
     */
    void updateCommentReplay(CommentReplayDto dto);

    /**
     * 删除|批量删除商品评价回复关系类型
     *
     * @param ids 删除id列表
     */
    void deleteCommentReplay(List<Long> ids);
}
