package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.SkuImagesDto;
import com.mall.product.domain.entity.SkuImages;
import com.mall.product.domain.vo.SkuImagesVo;

import java.util.List;

/**
 * <p>
 * sku图片 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface SkuImagesService extends IService<SkuImages> {

    /**
     * 分页查询sku图片
     *
     * @return {@link SkuImagesVo}
     */
    PageResult<SkuImagesVo> getSkuImagesPage(Page<SkuImages> pageParams, SkuImagesDto dto);

    /**
     * 添加sku图片
     *
     * @param dto {@link SkuImagesDto} 添加表单
     */
    void addSkuImages(SkuImagesDto dto);

    /**
     * 更新sku图片
     *
     * @param dto {@link SkuImagesDto} 更新表单
     */
    void updateSkuImages(SkuImagesDto dto);

    /**
     * 删除|批量删除sku图片类型
     *
     * @param ids 删除id列表
     */
    void deleteSkuImages(List<Long> ids);
}
