package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.SpuImagesDto;
import com.mall.product.domain.entity.SpuImages;
import com.mall.product.domain.vo.SpuImagesVo;

import java.util.List;

/**
 * <p>
 * spu图片 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface SpuImagesService extends IService<SpuImages> {

    /**
     * 分页查询spu图片
     *
     * @return {@link SpuImagesVo}
     */
    PageResult<SpuImagesVo> getSpuImagesPage(Page<SpuImages> pageParams, SpuImagesDto dto);

    /**
     * 添加spu图片
     *
     * @param dto {@link SpuImagesDto} 添加表单
     */
    void addSpuImages(SpuImagesDto dto);

    /**
     * 更新spu图片
     *
     * @param dto {@link SpuImagesDto} 更新表单
     */
    void updateSpuImages(SpuImagesDto dto);

    /**
     * 删除|批量删除spu图片类型
     *
     * @param ids 删除id列表
     */
    void deleteSpuImages(List<Long> ids);
}
