package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.SpuInfoDescDto;
import com.mall.product.domain.entity.SpuInfoDesc;
import com.mall.product.domain.vo.SpuInfoDescVo;

import java.util.List;

/**
 * <p>
 * spu信息介绍 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface SpuInfoDescService extends IService<SpuInfoDesc> {

    /**
     * 分页查询spu信息介绍
     *
     * @return {@link SpuInfoDescVo}
     */
    PageResult<SpuInfoDescVo> getSpuInfoDescPage(Page<SpuInfoDesc> pageParams, SpuInfoDescDto dto);

    /**
     * 添加spu信息介绍
     *
     * @param dto {@link SpuInfoDescDto} 添加表单
     */
    void addSpuInfoDesc(SpuInfoDescDto dto);

    /**
     * 更新spu信息介绍
     *
     * @param dto {@link SpuInfoDescDto} 更新表单
     */
    void updateSpuInfoDesc(SpuInfoDescDto dto);

    /**
     * 删除|批量删除spu信息介绍类型
     *
     * @param ids 删除id列表
     */
    void deleteSpuInfoDesc(List<Long> ids);
}
